// ======================================================================
// sky
// ======================================================================

/////////////////////////////////////
////obj_downside_sky  ///////////////
////by Dim$tar       ////////////////
/////////////////////////////////////

textures/obj_downs_sky/vanilla_sky
{
	qer_editorimage textures/obj_downs_sky/vanilla_sky_up.jpg
	q3map_backsplash 0 0
    surfaceparm noimpact
    surfaceparm nolightmap

	surfaceparm sky
    nocompress
    nopicmip
    fogvars ( 0.46875 0.4609375 0.41015625 ) .00015
    skyfogvars ( 0.46875 0.4609375 0.41015625 ) .0000000000015

	
    q3map_lightrgb 1.000000 0.968000 0.860000
	
	q3map_sun 0.90 0.80 0.85 250 50 40
    q3map_lightmapFilterRadius 1 8
	q3map_skylight 240 11	
    skyParms textures/obj_downs_sky/vanilla_sky 2048 -
{
    fog off
    clampmap textures/bruce_sky/fogmask_sky5e.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    tcMod scale 0.956 0.956
	tcMod transform 1 0 0 1 -1 -1

	}

}


// ======================================================================
// env
// ======================================================================

textures/bruce_env/arab_skyline
{
	surfaceparm trans 
	surfaceparm nonsolid 
	
	{
		map textures/bruce_env/arab_skyline.tga
		alphaFunc GE128
		rgbGen identity
	}
}

// ======================================================================
// alias
// ======================================================================


textures/obj_downside/cable
{      
	qer_editorimage textures/race/met_grey.tga
	q3map_shadeAngle 71
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/race/met_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/hos_wall1
{
	qer_editorimage textures/hos_misc/wall1.tga
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hos_misc/wall1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/obj_downside/wall37_phong
{      
	qer_editorimage textures/hos_misc/wall37.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_plastering
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hos_misc/wall37.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bruce_plaster/concretepaint0059_phong
{      
	qer_editorimage textures/bruce_plaster/concretepaint0059.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_plastering
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_plaster/concretepaint0059.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bruce_plaster/paint_dn_phong
{      
	qer_editorimage textures/bruce_plaster/paint_dn.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_plastering
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_plaster/paint_dn.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// window reflection
// ======================================================================

textures/obj_downside/windows0175
{
	qer_editorimage textures/bruce_window/windows0175.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_window/windows0175.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/windowsother0005
{
	qer_editorimage textures/bruce_window/windowsother0005.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_window/windowsother0005.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/windowsother0005_4
{
	qer_editorimage textures/bruce_window/windowsother0005_4.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_window/windowsother0005_4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/raam4a
{
	qer_editorimage textures/bruce_fx/raam4a.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_fx/raam4a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/raam4b
{
	qer_editorimage textures/bruce_fx/raam4b.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_fx/raam4b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/raam4c
{
	qer_editorimage textures/bruce_fx/raam4c.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_fx/raam4c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/windowsshutters0020
{
	qer_editorimage textures/bruce_window/windowsshutters0020.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_window/windowsshutters0020.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/windowshouseold0050
{
	qer_editorimage textures/bruce_window/windowshouseold0050.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_window/windowshouseold0050.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/windowsother0006
{
	qer_editorimage textures/bruce_window/windowsother0006.tga
	surfaceparm mat_glass
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg
        tcGen environment
        rgbGen identity
	}   
	{
		map textures/bruce_window/windowsother0006.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/obj_downside/glas_outdoor
{
	qer_trans 0.5
	
	qer_editorimage textures/bruce_misc/glas.tga
	
	q3map_bouncescale 0
	
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	
	surfaceparm mat_glass
	
	{
		map textures/obj_downs_sky/vanilla_sky_up.jpg   
    	tcGen environment
    	blendFunc GL_ONE GL_ONE
    	rgbGen const ( 0.250 0.250 0.250 )
	}   
	{
		map textures/bruce_misc/glas.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthwrite
		rgbGen const ( 0.50 0.50 0.50 )
	}
}

// ======================================================================
// Terrain blending
// ======================================================================

// q3map_foliage <model> <scale> <density> <odds> <use inverse alpha>
// model:	eg. models/foliage/grass_5.md3
// scale:	1.0. This is normal size, 0.5 would be half size, 2.0 would be double
// density:	T16 units. The density of the models, in game units.
// odds:	0.025. This means that a random 2.5% of the potential spots for foliage will be placed.
// Typically you want to use small values for this; otherwise you will end up with ridiculously high polygon counts.
// inverse alpha:	0. this means to use the straight vertex alpha as a scaling factor against the odds of appearing. 
// This is so that terrain shaders with multiple blending layers can have different foliage on each style and have them fade/blend properly together.

textures/obj_downside/asphalt_to_dust
{
	qer_editorimage textures/bruce_floor/asphalt.tga

	surfaceparm mat_cement	

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment6.md3 1.0 71 0.025 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment7.md3 1.0 64 0.027 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map textures/bruce_floor/asphalt.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/dust.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/dirt_to_dust
{
	qer_editorimage textures/bruce_floor/dirt.tga

	surfaceparm mat_dirt
	surfaceparm dust

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable

	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment4.md3 1.0 48 0.025 0 // dirt
	q3map_foliage models/bruce_foliage/sediment/sediment5.md3 1.0 42 0.025 0 // dirt
	q3map_foliage models/bruce_foliage/sediment/sediment6.md3 1.0 71 0.025 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment7.md3 1.0 64 0.027 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map textures/bruce_floor/dirt.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/dust.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/dried_foliage
{      
	qer_editorimage textures/bruce_floor/dried.tga

	surfaceparm mat_dirt
	
	q3map_nonplanar
	q3map_shadeAngle 179
	
	// q3map_forcemeta
	q3map_lightmapMergable

	q3map_foliage models/coroner_foliage/grassfoliage1_b.md3 1.8 56 0.03 0
	q3map_foliage models/coroner_foliage/grassfoliage2_b.md3 1.3 48 0.03 0
	q3map_foliage models/coroner_foliage/grassfoliage3_b.md3 1.0 34 0.03 0	
	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_floor/dried.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/dried_to_dust_foliage
{
	qer_editorimage textures/bruce_floor/dried.tga

	surfaceparm mat_dirt	

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	q3map_foliage models/coroner_foliage/grassfoliage1_b.md3 1.8 56 0.03 0
	q3map_foliage models/coroner_foliage/grassfoliage2_b.md3 1.3 48 0.03 0
	q3map_foliage models/coroner_foliage/grassfoliage3_b.md3 1.0 34 0.03 0
	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment4.md3 1.0 48 0.025 0 // dirt
	q3map_foliage models/bruce_foliage/sediment/sediment5.md3 1.0 42 0.025 0 // dirt
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map textures/bruce_floor/dried.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/dust.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/bricklarge0151_to_dirt
{
	qer_editorimage textures/bruce_floor/bricklarge0151.tga

	surfaceparm mat_brick_grey	

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment6.md3 1.0 71 0.025 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment7.md3 1.0 64 0.027 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map textures/bruce_floor/bricklarge0151.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/dust.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/tile2_to_dirt
{
	qer_editorimage textures/bruce_tile/tile2.tga

	surfaceparm mat_tiles	

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment6.md3 1.0 71 0.025 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment7.md3 1.0 64 0.027 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map textures/bruce_tile/tile2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/dust.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/crete_squares2_to_dirt
{
	qer_editorimage textures/bruce_floor/crete_squares2.tga

	surfaceparm mat_brick_grey	

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment6.md3 1.0 71 0.025 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment7.md3 1.0 64 0.027 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map textures/bruce_floor/crete_squares2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/dust.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/crete_square_to_dirt
{
	qer_editorimage textures/bruce_crete/crete_square.tga

	surfaceparm mat_brick_grey	

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	q3map_foliage models/bruce_foliage/sediment/sediment1.md3 2.8 48 0.021 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment2.md3 2.4 78 0.022 0 // plastic
	q3map_foliage models/bruce_foliage/sediment/sediment3.md3 5.0 64 0.020 0 // cigarette
	q3map_foliage models/bruce_foliage/sediment/sediment4.md3 1.0 48 0.025 0 // dirt
	q3map_foliage models/bruce_foliage/sediment/sediment5.md3 1.0 42 0.025 0 // dirt
	q3map_foliage models/bruce_foliage/sediment/sediment6.md3 1.0 71 0.025 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment7.md3 1.0 64 0.027 0 // paper
	q3map_foliage models/bruce_foliage/sediment/sediment8.md3 1.0 85 0.025 0 // can
	
	{
		map textures/bruce_crete/crete_square.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/dust.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_downside/asphalt_to_asphalt_clean
{
	qer_editorimage textures/bruce_floor/asphalt.tga

	surfaceparm mat_cement	

	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	// q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_texturesize 512 512 //force texture scaling
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	{
		map textures/bruce_floor/asphalt.tga	// Primary
		rgbGen identity
	}
	{
		map textures/bruce_floor/asphalt_clean.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// tce models, compile with newscale 1


// ======================================================================
// freight
// ======================================================================

models/mapobjects/bruce_mod/cargo/freight_front
{	
		surfaceparm mat_wood
		// q3map_clipmodel
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/freight_front.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/cargo/freight_side
{	
		surfaceparm mat_wood
		// q3map_clipmodel
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/freight_side.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// filecabinet
// ======================================================================

models/mapobjects/bruce_mod/filecabinet/metal
{
	{
		map models/mapobjects/bruce_mod/filecabinet/metal.tga
		rgbGen vertex
	}
}
// ======================================================================
// sat
// ======================================================================

models/mapobjects/bruce_mod/sat/sat1
{
	{
		map models/mapobjects/bruce_mod/sat/sat1.tga
		rgbGen vertex
	}
}
// ======================================================================
// toyota van
// ======================================================================

models/mapobjects/bruce_mod/toyota_van/toy
{		
		// q3map_clipmodel
		q3map_shadeangle 179
		q3map_forceMeta
		q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/toyota_van/toy.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/toyota_van/glas
{
	qer_editorimage models/mapobjects/bruce_mod/toyota_van/glas.tga
	surfaceparm trans
	q3map_shadeangle 60
	q3map_nonplanar
	surfaceparm alphashadow
	
	{
        map textures/q3tc/q3tc_refl_indoor.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
        rgbGen identity
	}   
        	
	{
		map models/mapobjects/bruce_mod/toyota_van/glas.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		alphafunc GT0
		depthwrite
		rgbGen identity
	}
}

// ======================================================================
// hilux truck
// ======================================================================

models/mapobjects/bruce_mod/hilux/hilux2
{		
		// q3map_clipmodel
		q3map_shadeangle 179
		q3map_forceMeta
		q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/hilux/hilux2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/hilux/tire
{		
		// q3map_clipmodel
		q3map_shadeangle 179
		q3map_forceMeta
		q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/hilux/tire.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/hilux/non // interior
{
	{
		map models/mapobjects/bruce_mod/hilux/non.tga
		rgbGen vertex
	}
}
models/mapobjects/bruce_mod/hilux/glas
{
	qer_editorimage models/mapobjects/bruce_mod/hilux/glas.tga
	surfaceparm trans
	surfaceparm alphashadow
	q3map_shadeangle 60
	
	{
        map textures/q3tc/q3tc_refl_indoor.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
        rgbGen identity
	}   
        	
	{
		map models/mapobjects/bruce_mod/hilux/glas.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		alphafunc GT0
		depthwrite
		rgbGen identity
	}
}
// ======================================================================
// gaz truck
// ======================================================================


models/mapobjects/bruce_mod/truck/flight
{
		qer_editorimage models/mapobjects/bruce_mod/truck/flight.tga
		// q3map_clipmodel
		q3map_nonplanar 
		q3map_shadeangle 179
		q3map_forceMeta
		q3map_surfacelight 10
		surfaceparm nolightmap

	{
		map models/mapobjects/bruce_mod/truck/flight.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}	
}

models/mapobjects/bruce_mod/truck/gaz
{		
		// q3map_clipmodel
		q3map_nonplanar 
		q3map_shadeangle 179
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/truck/gaz.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/truck/gaz2
{		
		// q3map_clipmodel
		q3map_nonplanar 
		q3map_shadeangle 179
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/truck/gaz2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/truck/gaztank
{
	{
		map models/mapobjects/bruce_mod/truck/gaztank.tga
		rgbGen vertex
	}
}

models/mapobjects/bruce_mod/truck/gaztire
{
		q3map_nonplanar
		q3map_forcemeta
		q3map_shadeAngle 129
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/truck/gaztire.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

models/mapobjects/bruce_mod/truck/gaztire2
{
		q3map_nonplanar
		q3map_forcemeta
		q3map_shadeAngle 129
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/truck/gaztire2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/truck/rust3
{
	{
		map models/mapobjects/bruce_mod/truck/rust3.tga
		rgbGen vertex
	}
}

models/mapobjects/bruce_mod/truck/mrust
{
	{
		map models/mapobjects/bruce_mod/truck/mrust.tga
		rgbGen vertex
	}
}

models/mapobjects/bruce_mod/truck/gazglas
{
		qer_editorimage models/mapobjects/bruce_mod/truck/gazglas.tga
		surfaceparm trans
		surfaceparm mat_glass
		surfaceparm alphashadow
		// q3map_clipmodel
	
	{
        map textures/q3tc/q3tc_refl_indoor.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
        rgbGen identity
	}   
        	
	{
		map models/mapobjects/bruce_mod/truck/gazglas.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		alphafunc GT0
		depthwrite
		rgbGen identity
	}
}

// ======================================================================
// traincar
// ======================================================================


models/mapobjects/bruce_mod/traincar1/base
{		
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forcemeta
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/base.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/traincar1/bumper
{
		q3map_nonplanar
		q3map_forcemeta
		q3map_shadeAngle 129
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/bumper.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/traincar1/roof
{
		q3map_nonplanar
		q3map_forcemeta
		q3map_shadeAngle 75
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/roof.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/traincar1/roof2 // 2nd version
{		
		q3map_forcemeta
		q3map_nonplanar 
q3map_shadeAngle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/roof2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/traincar1/woodbox

{		
		q3map_forcemeta
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/woodbox.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/traincar1/metalbox // 2nd version
{		
		q3map_forcemeta
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/metalbox.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/traincar1/interieur
{
		q3map_nonplanar
		q3map_forcemeta
		q3map_shadeAngle 75
	
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/inter.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/traincar1/inter
{
		q3map_nonplanar
		q3map_forcemeta
		q3map_shadeAngle 75
	
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/traincar1/inter.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ======================================================================
// brick quad
// ======================================================================


models/mapobjects/bruce_mod/bricks/quad
{
		q3map_clipmodel	
		surfaceparm mat_brick_grey
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/bricks/quad.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ======================================================================
// cargo
// ======================================================================


models/mapobjects/bruce_mod/cargo/mat1
{
		q3map_clipmodel	
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/mat1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/cargo/mat2
{
		q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/mat2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/cargo/mat3
{
		q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/mat3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/cargo/mat4
{
		q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/mat4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/cargo/mat5
{
		q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/mat5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/cargo/matb1
{
		q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/cargo/matb1.tga
		rgbGen vertex
	}
}

// ======================================================================
// windowframes
// ======================================================================


models/mapobjects/bruce_mod/windowframe/mat1
{
		// q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/windowframe/mat1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/windowframe/mat2
{
		// q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/windowframe/mat2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/windowframe/58x68
{
		// q3map_clipmodel
		surfaceparm mat_metal
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/windowframe/58x68.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/windowframe/96x48
{
		// q3map_clipmodel
		surfaceparm mat_metal
		q3map_forcemeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/windowframe/96x48.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// door
// ======================================================================



models/mapobjects/bruce_mod/door/closed1
{		
		// q3map_clipmodel	
		surfaceparm mat_wood
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/closed1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/closed2
{		
		// q3map_clipmodel	
		surfaceparm mat_wood
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/closed2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/closed3
{		
		// q3map_clipmodel
		surfaceparm mat_metal
		q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/closed3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/door1
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/door1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/door2
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/door2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/door3
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/door3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/door4
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/door4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/door5
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/door5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/door6
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/door6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
textures/bruce_misc/door7b
{		
		surfaceparm mat_metal
		qer_editorimage models/mapobjects/bruce_mod/door/d7b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d7b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/d7a1
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d7a1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/d7a2
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d7a2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/d7add
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d7add.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
textures/bruce_misc/door8b
{		
		surfaceparm mat_metal
		qer_editorimage models/mapobjects/bruce_mod/door/d8b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d8b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/d8a1
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d8a1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/d8a2
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d8a2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/d8add
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/d8add.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/door9
{		
		// q3map_clipmodel	
		surfaceparm mat_metal
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/door9.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/column
{		
		// q3map_clipmodel
		q3map_nonplanar 
		q3map_shadeAngle 179
		q3map_forceMeta
		qer_editorimage models/mapobjects/bruce_mod/door/islam.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/door/islam.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
models/mapobjects/bruce_mod/door/bow
{
	qer_editorimage models/mapobjects/bruce_mod/door/islam.tga
	{
		map models/mapobjects/bruce_mod/door/islam.tga
		rgbGen vertex
	}
}

// ======================================================================
// misc objects
// ======================================================================


models/mapobjects/bruce_mod/aircon/mat1
{
		// q3map_clipmodel
		q3map_nonplanar
		q3map_shadeangle 75
		q3map_forcemeta
		surfaceparm mat_metal
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/aircon/mat1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/aircon/acclip
{
	qer_editorimage models/mapobjects/bruce_mod/aircon/acclip.tga
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm trans
	surfaceparm mat_plastic
	qer_trans 0.5
}
models/mapobjects/bruce_mod/bricks/mat1
{
	{
		map models/mapobjects/bruce_mod/bricks/mat1.tga
		rgbGen vertex
	}
}

models/mapobjects/bruce_mod/bricks/mat2 // red bricks, railhouse
{
	{
		map models/mapobjects/bruce_mod/bricks/mat2.tga
		rgbGen vertex
	}
}
models/mapobjects/bruce_mod/bricks/mat3 // redgrey bricks, village
{
	{
		map models/mapobjects/bruce_mod/bricks/mat3.tga
		rgbGen vertex
	}
}
models/mapobjects/bruce_mod/bricks/mat4 // snowy bricks, snow
{
	{
		map models/mapobjects/bruce_mod/bricks/mat4.tga
		rgbGen vertex
	}
}
models/mapobjects/bruce_mod/woodslats/mat1
{
		// q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/woodslats/mat1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/woodslats/mat2 // railhouse
{
		// q3map_clipmodel
		surfaceparm mat_wood
		q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/woodslats/mat2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/bruce_mod/fence/metalfence1
{		
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/fence/metalfence1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

models/mapobjects/bruce_mod/fence/rufence
{		
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
		// q3map_clipmodel
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/fence/rufence.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

// ======================================================================
// streetlamp
// ======================================================================


models/mapobjects/bruce_mod/streetlamp/glas
{
	surfaceparm alphashadow
	q3map_bouncescale 0
	
	{
		map models/mapobjects/bruce_mod/streetlamp/glas.tga
		blendFunc blend
		rgbGen vertex
		depthWrite
	}
}

models/mapobjects/bruce_mod/streetlamp/streetlamp
{
	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		models/mapobjects/bruce_mod/streetlamp/streetlamp
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// neon
// ======================================================================

models/mapobjects/bruce_mod/neon/neon
{
       nopicmip
       surfaceparm nolightmap
       	
	{
		map models/mapobjects/bruce_mod/neon/neon.tga
		rgbGen const ( 1 1 1 )
	}
}

models/mapobjects/bruce_mod/neon/metal
{
	surfaceparm nolightmap
	{
		map models/mapobjects/bruce_mod/neon/metal.tga
		rgbGen vertex
	}

}

// ======================================================================
// dumpster
// ======================================================================

models/mapobjects/bruce_mod/dumpster/dumpster
{
	q3map_forceMeta
	//q3map_nonplanar
	//q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/dumpster/dumpster.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// generator
// ======================================================================

models/mapobjects/bruce_mod/generator/generator
{
	q3map_forceMeta
	//q3map_nonplanar
	//q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/generator/generator.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/generator/generator_smooth
{
	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeangle 179
	qer_editorimage models/mapobjects/bruce_mod/generator/generator.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/generator/generator.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// misc
// ======================================================================


models/mapobjects/bruce_mod/misc/snow2
{		
		surfaceparm mat_snow
		q3map_nonplanar 
		q3map_shadeAngle 129
		q3map_forceMeta
		// q3map_clipmodel
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_snow/snowy05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/mapobjects/bruce_mod/misc/rb // roadblock
{	
		surfaceparm mat_brick_grey
		q3map_nonplanar 
		q3map_shadeAngle 89
		q3map_forceMeta
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/bruce_mod/misc/rb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
models/bruce_foliage/plant1
{
	qer_alphafunc greater 0.5
	
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nolightmap
	
        nomipmaps
        nopicmip
	
	deformVertexes wave 256 sin 0 1 0.25 0.1
        {
		map models/bruce_foliage/plant1.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
models/bruce_foliage/plant2
{
	qer_alphafunc greater 0.5
	
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nolightmap
	
        nomipmaps
        nopicmip
	
	deformVertexes wave 256 sin 0 1 0.25 0.1
        {
		map models/bruce_foliage/plant2.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
models/bruce_foliage/plant3
{
	qer_alphafunc greater 0.5
	
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nolightmap
	
        nomipmaps
        nopicmip
	
	deformVertexes wave 256 sin 0 1 0.25 0.1
        {
		map models/bruce_foliage/plant3.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
models/bruce_foliage/plant4
{
	qer_alphafunc greater 0.5
	
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nolightmap
	
        nomipmaps
        nopicmip
	
	deformVertexes wave 256 sin 0 1 0.25 0.1
        {
		map models/bruce_foliage/plant4.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
models/bruce_foliage/plant5
{
	qer_alphafunc greater 0.5
	
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nolightmap
	
        nomipmaps
        nopicmip
	
	deformVertexes wave 256 sin 0 1 0.25 0.1
        {
		map models/bruce_foliage/plant5.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
models/bruce_foliage/plant6
{
	qer_alphafunc greater 0.5
	
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nolightmap
	
        nomipmaps
        nopicmip
	
	deformVertexes wave 256 sin 0 1 0.25 0.1
        {
		map models/bruce_foliage/plant6.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
// Coroner edit 3/22/2006 07:15

textures/bruce_door/door_garage
{ 
surfaceparm mat_tin
implicitMap -
}

// ======================================================================
// bruce_brick 
// ======================================================================


textures/bruce_brick/brick_wall_beige
{
	surfaceparm mat_brick_yellow
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/brick_wall_beige.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/darkbrick
{
	surfaceparm mat_brick
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/darkbrick.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/muur_wit
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/muur_wit.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/oldbrick
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/oldbrick.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/oldwall1
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/oldwall1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/oldwall2
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/oldwall2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/redbrick_dn
{
	surfaceparm mat_brick
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/redbrick_dn.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/redbrick
{
	surfaceparm mat_brick
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/redbrick.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/redbrick_old
{
	surfaceparm mat_brick
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/redbrick_old.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/stained_bricks_dark
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/stained_bricks_dark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/stained_bricks
{
	surfaceparm mat_brick
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/stained_bricks.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_brick/wall_raw_white
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/wall_raw_white.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/wall_raw_white2
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/wall_raw_white2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_brick/oldstonebrick
{
	surfaceparm mat_brick_yellow
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/oldstonebrick.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/brickoldsharp0108
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/brickoldsharp0108.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/brickoldsharp0108_2
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/brickoldsharp0108_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_brick/brickoldrounded0021
{
	surfaceparm mat_brick_grey
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/brickoldrounded0021.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
// ======================================================================
// bruce_crete 
// ======================================================================

textures/bruce_crete/cement_s1_snowy05
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/cement_s1_snowy05.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/cement_s1
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/cement_s1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete_plate_decal1
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	q3map_normalimage textures/bruce_fx/crete_plate_decal1_normal.tga
	qer_editorimage textures/bruce_crete/crete_plate_decal1.tga
	
	{
		map textures/bruce_crete/crete_plate_decal1.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_crete/crete_plate_decal2
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	
	{
		map textures/bruce_crete/crete_plate_decal2.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_crete/crete_wall_phong
{      
	qer_editorimage textures/bruce_crete/crete_wall.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_cement
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_crete/crete_wall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bruce_crete/concrete_texture_9181143_phong
{
	surfaceparm mat_cement
	qer_editorimage textures/bruce_crete/concrete_texture_9181143.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_crete/concrete_texture_9181143.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bruce_crete/b19walls
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/b19walls.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/betonplate_blue_dn_snow.jpg
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/betonplate_blue_dn_snow.jpg.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/betonplate_blue
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/betonplate_blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/bigcrete1
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/bigcrete1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/bigcrete2
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/bigcrete2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concrete_blue
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete_blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concrete_f
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete_f.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_crete/concrete_up
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete_up.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concrete2
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concrete0151
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete0151.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concrete0228_l
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete0228_l.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concretepaint0183
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concretepaint0183.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete_bar
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/crete_bar.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete_plastered
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/crete_plastered.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete_plate_small
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/crete_plate_small.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete_plate
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/crete_plate.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete_square
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/crete_square.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete_up
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/crete_up.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concrete_texture_9181143
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete_texture_9181143.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/crete-valence
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/crete-valence.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/old_cracked
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/old_cracked.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/trim
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/trim.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/wall_crete_old
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/wall_crete_old.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/concrete17
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/concrete17.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_crete/b7walls023
{
	surfaceparm mat_cement
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_crete/b7walls023.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
// ======================================================================
// bruce_decal 
// ======================================================================

textures/bruce_decal/advert
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_decal/advert.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_decal/hotelparis
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_decal/hotelparis.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_decal/ru_posters1
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/ru_posters1.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/ru_posters2
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/ru_posters2.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/rus2
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/rus2.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/rus5
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/rus5.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/rus9
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/rus9.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/cardboard
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/cardboard.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/uck
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/uck.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/uck2
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/uck2.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/burn
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/burn.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/iraq1
{
	qer_editorimage textures/bruce_decal/iraq1.tga
	
	surfaceparm mat_metal	
    surfaceparm trans	
	surfaceparm alphashadow
    q3map_bouncescale 0
	{
		map textures/bruce_decal/iraq1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	
}
textures/bruce_decal/hallsign
{
	qer_editorimage textures/bruce_decal/hallsign.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/hallsign.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/iraq2
{
	qer_editorimage textures/bruce_decal/iraq2_build.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/iraq2.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/arab1
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_decal/arab1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_decal/arab2
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_decal/arab2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_decal/sign1
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_decal/sign1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_decal/sign2
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_decal/sign2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_decal/banner
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphaShadow
	cull none
	deformVertexes wave 256 sin 10 6 10 0.2	
   

	{
		map textures/bruce_decal/banner.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bruce_decal/basra
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphaShadow
	cull none
	deformVertexes wave 256 sin 10 6 10 0.2	
   

	{
		map textures/bruce_decal/basra.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bruce_decal/waste // dark base
{
	qer_editorimage textures/bruce_decal/waste.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/waste.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/waste2 // med base
{
	qer_editorimage textures/bruce_decal/waste2.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/waste2.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/edge
{	
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/edge.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/dirt_rim
{	
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/dirt_rim.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/arabmoney
{	
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/arabmoney.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/bruce_decal/irak_posters1
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/irak_posters1.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/irak_posters2
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/irak_posters2.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/irak_posters3
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/irak_posters3.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/irak_posters4
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/irak_posters4.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/irak_posters5
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/irak_posters5.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/irak_posters6
{
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/bruce_decal/irak_posters6.tga
		blendFunc blend
		rgbGen vertex
	}
}

// HoS decals

textures/bruce_decal/d10
{
	qer_editorimage textures/hos_decals/d10.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/d10.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/d15
{
	qer_editorimage textures/hos_decals/d15.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/d15.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/d16
{
	qer_editorimage textures/hos_decals/d16.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/d16.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/d17
{
	qer_editorimage textures/hos_decals/d17.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/d17.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/papers1
{
	qer_editorimage textures/hos_decals/papers1.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/papers1.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/papers2
{
	qer_editorimage textures/hos_decals/papers2.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/papers2.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/papers3
{
	qer_editorimage textures/hos_decals/papers3.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/papers3.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/posters1
{
	qer_editorimage textures/hos_decals/posters1.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/posters1.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/posters2
{
	qer_editorimage textures/hos_decals/posters2.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/posters2.tga
		blendFunc blend
		rgbGen vertex
	}
}
textures/bruce_decal/posters3
{
	qer_editorimage textures/hos_decals/posters3.tga
	polygonOffset
	surfaceparm nomarks // THIS IS IMPORTANT 
	surfaceparm nolightmap
	{
		map textures/hos_decals/posters3.tga
		blendFunc blend
		rgbGen vertex
	}
}

// ======================================================================
// bruce_door 
// ======================================================================

textures/bruce_door/moroccan_door
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_door/moroccan_door.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// bruce_fx 
// ======================================================================


textures/bruce_fx/gravel_normal
{
	surfaceparm mat_gravel
	q3map_normalimage textures/bruce_fx/gravel_normal.tga
	qer_editorimage textures/bruce_floor/gravel_build.tga
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/gravel.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_fx/muur_wit_normal
{	
	surfaceparm mat_brick_grey
	//q3map_normalimage textures/bruce_fx/muur_wit_normal.tga
	qer_editorimage textures/bruce_fx/muur_wit_normal.tga
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_brick/muur_wit.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// bruce_light 
// ======================================================================


textures/bruce_light/corona_red
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 20
	cull none
	nofog
	{
		map textures/bruce_light/corona_red.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 1.000000 0.083345 0.000000 )
	}	
}
textures/bruce_light/corona_orange
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 20
	cull none
	nofog
	{
		map textures/bruce_light/corona_red.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 1.000000 0.556100 0.000000 )
	}	
}

textures/bruce_light/lamp1_orange
{
	qer_editorimage textures/bruce_light/lamp1_orange.tga
	
	q3map_forcemeta
	// CORONER REMOVED q3map_surfacelight 10
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/bruce_light/lamp1_orange.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}	
}

// ======================================================================
// bruce_metal 
// ======================================================================


textures/bruce_metal/corrugated_metal_red
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/corrugated_metal_red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/corrugated_metal_green
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/corrugated_metal_green.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/corrugated_metal_rust
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/corrugated_metal_rust.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_snow/corrugated_metal_rust_snow
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_snow/corrugated_metal_rust_snow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/clang
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/clang.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/brass01
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/brass01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/metal_rust_dark
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/metal_rust_dark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/metalsheet
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/metalsheet.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/oldpnt05
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/oldpnt05.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/metal_railwaytracks
{	
	q3map_splotchFix
	// q3map_shadeangle 179
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/metal_rust_dark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/iron02
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/iron02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/iron03
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/iron03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/iron04
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/iron04.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/metalrust
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/metalrust.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/rust3
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/rust3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/metalrust_supportv
{
	qer_editorimage textures/bruce_metal/metalrust_supportv.tga
	
	qer_alphafunc greater 0.5
	
	surfaceparm mat_metal
    surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
        q3map_bouncescale 0
	{
		map textures/bruce_metal/metalrust_supportv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/bruce_metal/metalrust_support1
{
	qer_editorimage textures/bruce_metal/metalrust_support1.tga
	
	qer_alphafunc greater 0.5
	
	surfaceparm mat_metal	
    surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
        q3map_bouncescale 0
	{
		map textures/bruce_metal/metalrust_support1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bruce_metal/metalrust_railing
{
	qer_editorimage textures/bruce_metal/metalrust_railing.tga
	
	qer_alphafunc greater 0.5
	
	surfaceparm mat_metal	
    surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
        nopicmip
        q3map_bouncescale 0
	{
		map textures/bruce_metal/metalrust_railing.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	
}
textures/bruce_metal/metalrust_railing2
{
	qer_editorimage textures/bruce_metal/metalrust_railing2.tga
	
	qer_alphafunc greater 0.5
	
	surfaceparm mat_metal	
    surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
        nopicmip
        q3map_bouncescale 0
	{
		map textures/bruce_metal/metalrust_railing2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	
}
textures/bruce_metal/containerbk_01
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/containerbk_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/containerfr_01
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/containerfr_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/containersd_01
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/containersd_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_snow/containerbk_01_snow
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_snow/containerbk_01_snow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_snow/containerfr_01_snow
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_snow/containerfr_01_snow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_snow/containersd_01_snow
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_snow/containersd_01_snow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/metalsheet2
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/metalsheet2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/metalbase0009_phong
{      
	qer_editorimage textures/bruce_metal/metalbase0009.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_metal/metalbase0009.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/bruce_metal/metalbase0009
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/metalbase0009.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/metalwall_phong
{      
	qer_editorimage textures/bruce_metal/metalwall.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_metal/metalwall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/bruce_metal/metalwall
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/metalwall.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/pipemetal6
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/pipemetal6.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/pipetinfoil
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/pipetinfoil.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_metal/rust4
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/rust4.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/rust5
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/rust5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_metal/door_metal_yellow
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_metal/door_metal_yellow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// bruce_misc 
// ======================================================================

textures/bruce_misc/various0160_2_l
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/various0160_2_l.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_misc/vents0090
{
	surfaceparm mat_tin
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/vents0090.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_misc/palmtrunk
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/palmtrunk.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_misc/plastic_alpha_dirt
{
	qer_editorimage textures/bruce_misc/plastic_alpha_dirt.tga
	surfaceparm mat_plastic
	surfaceparm alphashadow
	cull none
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/plastic_alpha_dirt.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_misc/elevatorcontrol
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/elevatorcontrol.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_misc/elevatordn
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/elevatordn.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_misc/elevatordoor
{
	surfaceparm mat_metal
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/elevatordoor.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_misc/blueglas
{
	qer_trans 0.5
	
	qer_editorimage textures/bruce_misc/blueglas.tga
	
	q3map_bouncescale 0
	
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	
	surfaceparm mat_glass
	
	{
		map textures/q3tc/q3tc_refl_indoor.tga   
    tcGen environment
    blendFunc GL_ONE GL_ONE
    rgbGen const ( 0.250 0.250 0.250 )
	}   
	{
		map textures/bruce_misc/blueglas.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthwrite
		rgbGen const ( 0.50 0.50 0.50 )
	}
}
textures/bruce_misc/plastic0045orange
{
	qer_editorimage textures/bruce_misc/plastic0045orange.tga
	surfaceparm mat_sand
	surfaceparm lightfilter
	surfaceparm alphaShadow
	cull none
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/plastic0045orange.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_misc/plastic0045green
{
	qer_editorimage textures/bruce_misc/plastic0045green.tga
	surfaceparm mat_sand
	surfaceparm lightfilter
	surfaceparm alphaShadow
	cull none
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/plastic0045green.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_misc/fabricplain0020
{
	qer_editorimage textures/bruce_misc/fabricplain0020.tga
	surfaceparm mat_sand
	surfaceparm lightfilter
	surfaceparm alphaShadow
	cull none
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_misc/fabricplain0020.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//

textures/bruce_misc/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.55
}

textures/bruce_misc/alpha_015	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.15
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.55
}

textures/bruce_misc/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.55
}

textures/bruce_misc/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.55
}

textures/bruce_misc/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.55
}

textures/bruce_misc/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.55
}

textures/bruce_misc/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

// ======================================================================
// Clips 
// ======================================================================

models/mapobjects/bruce_mod/cargo/cargoclip
{
	qer_editorimage models/mapobjects/bruce_mod/cargo/cargoclip.tga
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm trans
	surfaceparm mat_wood
	qer_trans 0.5
}

textures/bruce_misc/clip_snow_marks
{
	qer_editorimage textures/common/clip.tga
	qer_trans 0.5
	surfaceparm detail
	surfaceparm mat_snow
	surfaceparm nodraw
	surfaceparm trans
}

textures/bruce_misc/clip_metal_marks
{
	qer_editorimage textures/common/clipweapmetal.tga
	qer_trans 0.5
	surfaceparm detail
	surfaceparm mat_metal
	surfaceparm nodraw
	surfaceparm trans
}

textures/bruce_misc/clip_metal_marks_model
{
	qer_editorimage textures/common/clipweapmetal.tga
	qer_trans 0.5
	surfaceparm detail
	surfaceparm mat_metal
	surfaceparm nodraw
	surfaceparm trans
}

textures/bruce_misc/clip_wood_marks_model
{
	qer_editorimage textures/common/clip.tga
	qer_trans 0.5
	surfaceparm detail
	surfaceparm mat_wood
	surfaceparm nodraw
}

textures/bruce_misc/metalclip
{
	qer_editorimage textures/common/clipweapmetal.tga
	qer_trans 0.3
	surfaceparm detail
	surfaceparm mat_metal
	surfaceparm nodraw
	surfaceparm nolightmap
}

textures/bruce_misc/pvcclip
{
	qer_editorimage textures/common/clipweapmetal.tga
	qer_trans 0.3
	surfaceparm detail
	surfaceparm mat_plastic
	surfaceparm nodraw
	surfaceparm nolightmap
}

textures/bruce_misc/cable
{      
	qer_editorimage textures/bruce_misc/cable.tga
	q3map_shadeAngle 71
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_misc/cable.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bruce_misc/clip_glass
{
	qer_editorimage textures/common/clipweapmetal.tga
	qer_trans 0.3
	// surfaceparm detail
	surfaceparm mat_glass
	surfaceparm nodraw

}

textures/bruce_misc/clip_tin_marks
{
	qer_editorimage textures/common/clipweapmetal.tga
	qer_trans 0.5
	surfaceparm detail
	surfaceparm mat_tin
	surfaceparm nodraw
	surfaceparm trans
}
textures/bruce_misc/cementclip
{
	qer_editorimage textures/common/clipweapmetal.tga
	qer_trans 0.5
	surfaceparm detail
	surfaceparm mat_cement
	surfaceparm nodraw
	surfaceparm trans
}

// ======================================================================
// bruce_plaster 
// ======================================================================

textures/bruce_plaster/loamwalls0029_2
{
	surfaceparm mat_clay
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/loamwalls0029_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/loamwalls0029
{
	surfaceparm mat_clay
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/loamwalls0029.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/loamwalls0029_phong
{      
	qer_editorimage textures/bruce_plaster/loamwalls0029.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_clay
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_plaster/loamwalls0029.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/bruce_plaster/clay_grey_phong
{      
	qer_editorimage textures/bruce_plaster/clay_grey.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_clay
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_plaster/clay_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/bruce_plaster/islamic_plasterwork
{
	surfaceparm mat_clay
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/islamic_plasterwork.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/mosquebase
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/mosquebase.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/mosquebase_phong
{
	surfaceparm mat_plastering
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	qer_editorimage textures/bruce_plaster/mosquebase.tga
	q3map_lightmapMergable
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/mosquebase.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/paint_dn
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/paint_dn.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/paint_holes
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/paint_holes.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/paint
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/paint.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/plaster_grey_phong
{      
	qer_editorimage textures/bruce_plaster/plaster_grey.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_plastering
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_plaster/plaster_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bruce_plaster/painted_cracked_red
{
	surfaceparm mat_brick
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/painted_cracked_red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_plaster/painted_cracked_red_phong
{      
	qer_editorimage textures/bruce_plaster/painted_cracked_red.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_brick
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_plaster/painted_cracked_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/bruce_plaster/plaster_grey_dn
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/plaster_grey_dn.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/plaster_grey
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/plaster_grey.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_plaster/yellow_paint_dn
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/yellow_paint_dn.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/wall_o1
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/wall_o1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/walls058
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/walls058.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/concretepaint0059.jpg
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/concretepaint0059.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/concretepaint0073
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/concretepaint0073.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/concretepaint0073_phong
{      
	qer_editorimage textures/bruce_plaster/concretepaint0073.tga
	q3map_shadeAngle 179
	q3map_nonplanar
	q3map_forceMeta
	surfaceparm mat_plastering
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_plaster/concretepaint0073.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bruce_plaster/trim5
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/trim5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_plaster/trim6
{
	surfaceparm mat_plastering
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_plaster/trim6.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// bruce_roof 
// ======================================================================

textures/bruce_roof/roof_dark
{	
	surfaceparm mat_cement

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_roof/roof_dark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// bruce_tile 
// ======================================================================


textures/bruce_tile/tile1
{	
	surfaceparm mat_tiles

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/tile1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_tile/tile2
{
	surfaceparm mat_tiles
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/tile2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_tile/tile3
{
	surfaceparm mat_tiles
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/tile3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_tile/tilewall1
{
	surfaceparm mat_tiles
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/tilewall1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_tile/tilesmedium0052
{
	surfaceparm mat_tiles
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/tilesmedium0052.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_tile/topkapi_03b_color
{
	surfaceparm mat_tiles
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/topkapi_03b_color.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_tile/tilework02
{
	surfaceparm mat_tiles
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/tilework02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_tile/tilework02trim
{
	surfaceparm mat_tiles
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_tile/tilework02trim.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
// ======================================================================
// bruce_window 
// ======================================================================

textures/bruce_window/morocco_medina_window_180061
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_window/morocco_medina_window_180061.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_window/windowshouse0001
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_window/windowshouse.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_window/morocco_medina_window_180061
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_window/morocco_medina_window_180061.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_window/shutter1
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_window/shutter1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_window/windows0115
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_window/windows0115.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// bruce_wood 
// ======================================================================


textures/bruce_wood/wood_k4
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_wood/wood_k4.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bruce_wood/wood_lightpole
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_wood/wood_lightpole.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_wood/wooden_floorboards_021772
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_wood/wooden_floorboards_021772.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_wood/woodplatesold0026
{
	surfaceparm mat_wood
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_wood/woodplatesold0026.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ======================================================================
// bruce_floor 
// ======================================================================


textures/bruce_floor/gravel
{
	surfaceparm mat_gravel
	qer_editorimage textures/bruce_floor/gravel.tga
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/gravel.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_floor/carpet3
{
	surfaceparm mat_carpet
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/carpet3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_floor/carpet3_step
{
	surfaceparm mat_carpet
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/carpet3_step.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}


textures/bruce_floor/rubber
{
	surfaceparm mat_carpet
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/rubber.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_floor/bricklarge0151
{
	surfaceparm mat_cement
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/bricklarge0151.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// terrain

textures/bruce_floor/asphalt	//ter_asphalt
{
	qer_editorimage textures/bruce_floor/asphalt.tga

	surfaceparm mat_cement
	
	q3map_nonplanar
	q3map_shadeAngle 179
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/asphalt.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_floor/dust	//ter_dust
{
	qer_editorimage textures/bruce_floor/dust.tga

	surfaceparm mat_dirt
	surfaceparm dust
	
	q3map_nonplanar
	q3map_shadeAngle 179
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/dust.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_floor/dirt	//ter_dirt
{
	qer_editorimage textures/bruce_floor/dirt.tga

	surfaceparm mat_dirt
	surfaceparm dust
	
	q3map_nonplanar
	q3map_shadeAngle 179
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bruce_floor/dirt.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/bruce_floor/dried	//ter_sand2, ter_dried
{      
	qer_editorimage textures/bruce_floor/dried.tga

	surfaceparm mat_dirt
	
	q3map_nonplanar
	q3map_shadeAngle 179
	
	// q3map_forcemeta
	q3map_lightmapMergable
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bruce_floor/dried.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
///////////////////////////////
////////humvee dim/////////////
///////////////////////////////
models/mapobjects/br_humvee/br_humvee1
{
	qer_editorimage models/br/military/br_humvee/br_humvee1.jpg
	surfaceparm mat_metal
	surfaceparm nolightmap
	q3map_forcemeta
	{
		map models/br/military/br_humvee/br_humvee1.jpg
		rgbGen vertex
	}
}

models/mapobjects/br_humvee/br_humvee2
{
	qer_editorimage models/br/military/br_humvee/br_humvee2.jpg
	surfaceparm mat_metal
	surfaceparm nolightmap
	q3map_forcemeta
	{
		map models/br/military/br_humvee/br_humvee2.jpg
		rgbGen vertex
	}
}

models/mapobjects/br_humvee/br_humvee3
{
	qer_editorimage models/br/military/br_humvee/br_humvee3.jpg
	surfaceparm mat_metal
	surfaceparm nolightmap
	q3map_forcemeta
	{
		map models/br/military/br_humvee/br_humvee3.jpg
		rgbGen vertex
	}
}

models/mapobjects/br_humvee/br_humvee4
{
	qer_editorimage models/br/military/br_humvee/br_humvee4.jpg
	surfaceparm mat_metal
	surfaceparm nolightmap
	q3map_forcemeta
	{
		map models/br/military/br_humvee/br_humvee4.jpg
		rgbGen vertex
	}
}


